Get a specific revision of an agent
curl --request GET \
--url https://albus.sh/api/agents/{name}/revisions/{revision} \
--header 'Authorization: Bearer <token>'import requests
url = "https://albus.sh/api/agents/{name}/revisions/{revision}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://albus.sh/api/agents/{name}/revisions/{revision}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"revision": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"model": {
"name": "<string>",
"provider": {
"name": "<string>",
"credential": "<string>",
"url": "<string>"
}
},
"tools": [
"<string>"
],
"system_prompt": "<string>",
"max_steps": 2,
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"headers": {},
"allowed_tools": [
"<string>"
]
}
]
}
}{
"message": "Invalid or expired token"
}{
"message": "Resource not found"
}Agents
Get a specific revision of an agent
Returns the full configuration of one revision of an agent — its model, tools, instructions, and MCP servers.
GET
/
agents
/
{name}
/
revisions
/
{revision}
Get a specific revision of an agent
curl --request GET \
--url https://albus.sh/api/agents/{name}/revisions/{revision} \
--header 'Authorization: Bearer <token>'import requests
url = "https://albus.sh/api/agents/{name}/revisions/{revision}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://albus.sh/api/agents/{name}/revisions/{revision}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"revision": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"model": {
"name": "<string>",
"provider": {
"name": "<string>",
"credential": "<string>",
"url": "<string>"
}
},
"tools": [
"<string>"
],
"system_prompt": "<string>",
"max_steps": 2,
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"headers": {},
"allowed_tools": [
"<string>"
]
}
]
}
}{
"message": "Invalid or expired token"
}{
"message": "Resource not found"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The agent's name.
The agent revision to fetch.
Response
OK
One revision of an agent, with its full configuration.
Identifier of this agent revision.
When this revision first ran.
The agent configuration for a run: the model, tools, instructions, and MCP servers that define its behavior. Runs with the same configuration share a revision.
Show child attributes
Show child attributes
⌘I